Ui vision RPA what xpath version support 1.0 or 2.0 or 3.0 or other?

Hi @admin

I read the xpath have more version 1.0 - 2.0 - 3.0 and others and some command are available only in 2.0 or newest version (regex)

What version of xpath ui vision RPA support ?

here info about xpath version

Thanks

@admin

Can you give this info please ?

Thanks

UI.Vision “lives” in Chrome, Edge and Firefox. So it supports whatever XPath version the WebKit and Gecko rendering engines support.

=> No browser supports XSLT and Xpath above version 1.0, if at all; see https://stackoverflow.com/questions/16658799/what-browsers-support-xpath-2-0X . Nor does other software except Saxon (product by the XSLT/Xpath spec author himself). The XPath 2.0 spec is from 2007, and superseeded by Xpath 3.0 since 2014, so I wouldn’t hold my breath that it’ll ever be supported broadly.

1 Like